#!/bin/bash

(cd /repo/ || exit 1
    fdroid init

    sed -i \
        -e "/repo_url/s .* repo_url:\ https://$BASE_URL/repo " \
        -e "/repo_name/s .* repo_name:\ \"$REPO_NAME\" " \
        config.yml
)

get_apks.sh

echo "$CRON_APP_UPDATE /usr/local/bin/get_apks.sh >> /var/log/cron.log 2>&1" | crontab -

/etc/init.d/cron start
